List representatives | Moov Documentation

List representatives

A Moov account may have multiple representatives depending on the associated business's ownership and management structure. You can use this method to list all the representatives for a given Moov account. Note that Moov accounts associated with an individual do not have representatives. Read our business representatives guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/representatives.read scope.

Endpoint

GET

/accounts/{accountID}/representatives

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/representatives" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask Go

mc, _ := moov.NewClient()

var accountID string

mc.ListRepresentatives(ctx, accountID)

Ask TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.representatives.list({
    accountID: "aa071158-7ed6-4c18-af34-4fa37b755e53",
  });

console.log(result);
}

run();

Ask PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->representatives->list(
    accountID: 'aa071158-7ed6-4c18-af34-4fa37b755e53'
);

if ($response->representatives !== null) {
    // handle response
}

Ask Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListRepresentativesResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListRepresentativesResponse res = sdk.representatives().list()
                .accountID("aa071158-7ed6-4c18-af34-4fa37b755e53")
                .call();

if (res.representatives().isPresent()) {
            System.out.println(res.representatives().get());
        }
    }
}

Ask Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.representatives.list(account_id="aa071158-7ed6-4c18-af34-4fa37b755e53")

# Handle response
    print(res)

Ask Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.representatives.list(account_id: 'aa071158-7ed6-4c18-af34-4fa37b755e53')

unless res.representatives.nil?
  # handle response
end

Ask C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Representatives.ListAsync(accountID: "aa071158-7ed6-4c18-af34-4fa37b755e53");

// handle response

Example Response

[
  {
    "representativeID": "string",
    "name": {
      "firstName": "Jordan",
      "middleName": "Reese",
      "lastName": "Lee",
      "suffix": "Jr"
    },
    "phone": {
      "number": "8185551212",
      "countryCode": "1"
    },
    "email": "jordan.lee@classbooker.dev",
    "address": {
      "addressLine1": "123 Main Street",
      "addressLine2": "Apt 302",
      "city": "Boulder",
      "stateOrProvince": "CO",
      "postalCode": "80301",
      "country": "US"
    },
    "birthDateProvided": true,
    "governmentIDProvided": true,
    "responsibilities": {
      "isController": true,
      "isOwner": true,
      "ownershipPercentage": 38,
      "jobTitle": "CEO"
    },
    "createdOn": "2019-08-24T14:15:22Z",
    "updatedOn": "2019-08-24T14:15:22Z",
    "disabledOn": "2019-08-24T14:15:22Z"
  }
]